# https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services
# From GitHub, latest commit from branch gnome-3.34
%global commit 9c132034854e382e5fb2ecb72b3feb442975d027
%global shortcommit 9c132034

Name:           gnome-shell-extension-dash-to-dock
Version:        3.34.7
Release:        lp153.1.2
Summary:        GNOME Shell Extension -- Dash to Dock
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            https://micheleg.github.io/dash-to-dock/
Source:         https://github.com/micheleg/dash-to-dock/archive/%{commit}/dash-to-dock-%{shortcommit}.tar.gz

BuildRequires:  glib2-tools
# Needed for directory ownership
BuildRequires:  gnome-shell
BuildArch:      noarch

Requires:       gnome-shell
Recommends:     %{name}-lang = %{version}


%description
A dock for the Gnome Shell. This extension moves the dash out of the overview
transforming it in a dock for an easier launching of applications and a faster
switching between windows and desktops. Side and bottom placement options are
available.


%lang_package


%prep
%autosetup -n dash-to-dock-%{commit}


%build
make


%install
DESTDIR=%{buildroot} VERSION=%{version} make install
%find_lang dashtodock


%files
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
%{_datadir}/gnome-shell/extensions/dash-to-dock*


%files lang -f dashtodock.lang


%changelog
* Wed Oct 13 2021 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- Dash to Dock v67 for GNOME Shell 3.34.7 (openSUSE Leap 15.3)
* Thu Aug  1 2019 Antônio Vinicius Menezes Medeiros <linuxkamarada@gmail.com>
- First packaging, Dash to Dock v65 for GNOME Shell 3.26.2 (openSUSE Leap 15.1)
